DDP(3)

NAME
packet.transport.ddp - DDP module

DESCRIPTION

Decode DDP layer.

RFC 5041 Direct Data Placement over Reliable Transports

CLASSES

  class DDP(baseobj.BaseObj)
DDP object

Usage:
    from packet.transport.ddp import DDP

    x = DDP(pktt)

Object definition:

DDP(
    tagged  = int,  # Tagged message
    lastfl  = int,  # Last flag
    version = int,  # DDP version
    psize   = int,  # Payload size
    [
        # For tagged message:
        stag    = int,  # Steering tag
        offset  = int,  # Tagged offset
    ] | [
        # For untagged message:
        queue   = int,  # Queue number
        msn     = int,  # Message sequence number
        offset  = int,  # Message offset
    ]
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

SEE ALSO
baseobj(3), packet.transport.rdmap(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)